@class SGContext;
@class SGResource;

@interface SGClient : NSObject <NSURLConnectionDelegate>

FOUNDATION_EXPORT NSString *const APIURL;

@property NSString *username;
@property NSString *password;

+ (SGClient *)sharedInstance;
- (void)save:(SGResource *)rsc;
- (void)load:(SGResource *)rsc;
- (SGContext *)context;
- (SGContext *)contextWithDelegate:(id)d;

@end
