#import "client.h"


@protocol SGContextDelegate <NSObject>

@optional

- (void)connection:(NSURLConnection *)con didSucceedForResource:(SGResource *)res inContext:(SGContext *)ctx;
- (void)connection:(NSURLConnection *)con didFailForResource:(SGResource *)res inContext:(SGContext *)ctx withError:(NSError *)err;

@end


@interface SGContext : NSObject

@property SGClient *client;
@property id <SGContextDelegate>delegate;

- (void)save:(SGResource *)rsc;
- (void)load:(SGResource *)rsc;

@end
